
Foreman - Bug #1175

PXELinux does not render with spoof

09/20/2011 10:12 AM - Jacob McCann

Status: Closed   

Priority: Normal   

Assignee: Jacob McCann   

Category: Unattended installations   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

URL https://&lt;hostname&gt;/unattended/PXELinux?spoof=&lt;ip>

Returns:

Processing UnattendedController#PXELinux (for <ip workstation> at 2011-09-20 07:49:03) [GET]

  Parameters: {"spoof"=>"<ip>"}

undefined method `configTemplate' for nil:NilClass

/srv/www/usps-puppet-foreman/app/controllers/unattended_controller.rb:143:in `unattended_local'

/srv/www/usps-puppet-foreman/app/controllers/unattended_controller.rb:70:in `PXELinux'

Rendering common/500 (500)

Associated revisions

Revision 77440fe6 - 01/29/2012 09:11 AM - Ohad Levy

fixes #1175 - PXELinux does not render with spoof

History

#1 - 01/29/2012 07:50 AM - Ohad Levy

- Category set to Unattended installations

- Target version set to 1.0

#2 - 01/29/2012 09:58 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 77440fe634d02710c596cb77ca05d1705d68fbe3.
